#pragma once

typedef struct _StringMapElement {
	std::wstring key;
	std::wstring data;
} StringMapElement;

class StringMap
{
public:
	StringMap(void);
	~StringMap(void);

	const TCHAR * Find(const TCHAR *);
	void Insert(const TCHAR * key, const TCHAR * data);
	void Remove(const TCHAR * key);
	void Clear();
	const TCHAR * Map(const TCHAR *);

	std::list<StringMapElement *> map;
};
